If anyone wants FxCop 1.36 and no .NET 4.0 framework installation, you can get it in a similar manner to Bas from
Microsoft Windows SDK for Windows 7 and .NET Framework 3.5 SP1